Subject: RE: bug#994: 23.0.60; minibuffer completion should act on all minibuffer input

From: "Drew Adams" <[email-masked]>
Date: Thu, 18 Sep 2008 08:33:25 -0700

> > Actually, in Emacs 23, things are worse yet. I have a file
> > `icicles-mcmd.el'. I type `M-x icicles-mcfoobar' and hit TAB with
> > point after the `mc'. It completes to `icicles-mcicles-foobar'.
> > Huh? No idea what logic is behind that, but perhaps it has to do
> > with the new automatic partical completion mode (which is also a
> > design mistake, IMO).  If instead point is at the end of the
> > input for `M-x icicles-mcfoobar', then it completes to
> > `icicles-mcfoobaricles'. Huh? Again, no idea what the logic is
> > behind this misbehavior.
>  
> Can you provide a recipe to reproduce the above two behaviors?

Exactly the recipe I gave above (with the correction I sent later
that I meant `C-x C-f', not `M-x'):

emacs -Q
Create a file icicles-mcmd.el in directory /my/dir.

C-x C-f
Find file: /my/dir/icicles-mcfoobar TAB
                             ^
                             +-- point here
gives:

Find file: /my/dir/icicles-mcicles-foobar

And:

Find file: /my/dir/icicles-mcfoobar TAB
                                   ^
                                   +-- point here
gives:

Find file: /my/dir/icicles-mcicles-foobaricles

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-09-03 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'